GNU bug report logs - #24267
24.5; When scrolling, parts of buffer are redrawn with a delay

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Artyom <yom@HIDDEN>; dated Fri, 19 Aug 2016 21:11:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24267 <at> debbugs.gnu.org:


Received: (at 24267) by debbugs.gnu.org; 20 Aug 2016 16:30:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 20 12:30:26 2016
Received: from localhost ([127.0.0.1]:35298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bb9A9-0001jF-UO
	for submit <at> debbugs.gnu.org; Sat, 20 Aug 2016 12:30:26 -0400
Received: from mail-lf0-f52.google.com ([209.85.215.52]:36294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yom@HIDDEN>) id 1bb3Ay-00065a-A6
 for 24267 <at> debbugs.gnu.org; Sat, 20 Aug 2016 06:06:52 -0400
Received: by mail-lf0-f52.google.com with SMTP id g62so47921476lfe.3
 for <24267 <at> debbugs.gnu.org>; Sat, 20 Aug 2016 03:06:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=artyom-me.20150623.gappssmtp.com; s=20150623;
 h=subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=+R8couknkxJyu4TOdOkJf+NtwT36SnHn48Ukwi7NXkI=;
 b=CXsou92zFaxl+6Dnc/J+7/Hpx78i825H8nsrDTCf8WUUNYkKDX+UT6c/JI+EqlPrA5
 lI4eWue1C7GDBRZBe/gFckGu1BgCjq1zjcMwY5L0JeMQCc7u2T7jrYOJqgFUIoipCV9o
 RUdCPhDk8lTr53XziC20PtzZaUINKSzXvzGxURozL1vaU4P/U8lCn+IPk3lgIMqmayED
 sWSxX7OxJ6dNtNcyRWGnK4ZSnONZFvBK7N8Q0keUE0lEyCAn6oNQ28JvWekW7XORE6Y4
 1LhvIIuWpbLXWOcgvQ0Hs08Eb8qQ89JzwYRrj81keHbGHMVjf6LIpmJfJrFK+jVDpxR/
 BWeA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:subject:to:references:cc:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=+R8couknkxJyu4TOdOkJf+NtwT36SnHn48Ukwi7NXkI=;
 b=DPNRSaiHPzr/uSDA1jo5pwBjdh89PQBFL3j9y7oGAR5OHq4oQ8XWSHghBuaCRvs8f8
 QEm2597odcB98lNdGlilfZZP4t8QGIR//0PPzghWER/eqLpIVqpuByYQtPC8yCDJwYNR
 aNg/8uTr9MDEPtH5CWzoyyXcl3sR0PuwF2mfQ2d5ByNMa9unV3bHKgl3WDc9YKbSkhSV
 jpYZs/xptUHp69U6FUV9rUai/Rpq98NqjhZiYDnI+FWUlE1UFvzkWL/GYHS4nQPBEIw9
 tIAdJHeSres7j5bWRfmQLBSlZXQFPXTs/2w/9LqAnB9iBzjQS9jva4ltI39bhaa7QP96
 XpPA==
X-Gm-Message-State: AEkooutajwStg3GHx+99W3h8qfzcRT/2DcpdHTdQWVFQm9ddfnmujR3XktgpqFcC/15fVw==
X-Received: by 10.25.18.154 with SMTP id 26mr2680227lfs.186.1471687606020;
 Sat, 20 Aug 2016 03:06:46 -0700 (PDT)
Received: from [192.168.0.106] (nat4-minsk-pool-46-53-179-125.telecom.by.
 [46.53.179.125])
 by smtp.gmail.com with ESMTPSA id g40sm1948552ljg.22.2016.08.20.03.06.44
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 20 Aug 2016 03:06:45 -0700 (PDT)
Subject: Re: bug#24267: 24.5; When scrolling, parts of buffer are redrawn with
 a delay
To: Eli Zaretskii <eliz@HIDDEN>
References: <f94a8ed0-117c-48f0-03ec-8a79159d9d5c@HIDDEN>
 <83pop3dhvl.fsf@HIDDEN>
From: Artyom <yom@HIDDEN>
Message-ID: <91ebdfb3-d977-a482-1b56-ef41f333323d@HIDDEN>
Date: Sat, 20 Aug 2016 13:06:43 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
In-Reply-To: <83pop3dhvl.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 08/20/2016 10:22 AM,
 Eli Zaretskii wrote: > I cannot reproduce
 this: I don't see these redraws at all, using the > HTML page you pointed
 to. > > It could be some issue specific to the default font you use (you
 don't > say which font is that). Or some other issue local to, or triggered
 > by, your local setup. I agree! However, there's still a chance of it being
 an Emacs issue since no other software I use (browsers, text editors, video
 players) show signs of tearing or incomplete redraws. (I thought it could
 be a bug in GTK, so I rebuilt Emacs with Lucid backend. It didn't fix the
 problem.) [...] 
 Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [46.53.179.125 listed in dnsbl.sorbs.net]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.53.179.125 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.215.52 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.52 listed in wl.mailspike.net]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 24267
X-Mailman-Approved-At: Sat, 20 Aug 2016 12:30:24 -0400
Cc: 24267 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 08/20/2016 10:22 AM, Eli Zaretskii wrote: > I cannot reproduce
    this: I don't see these redraws at all, using the > HTML page you pointed
    to. > > It could be some issue specific to the default font you use (you
   don't > say which font is that). Or some other issue local to, or triggered
    > by, your local setup. I agree! However, there's still a chance of it being
    an Emacs issue since no other software I use (browsers, text editors, video
    players) show signs of tearing or incomplete redraws. (I thought it could
    be a bug in GTK, so I rebuilt Emacs with Lucid backend. It didn't fix the
    problem.) [...] 
 
 Content analysis details:   (3.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.215.52 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.53.179.125 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.52 listed in wl.mailspike.net]
  0.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [46.53.179.125 listed in dnsbl.sorbs.net]
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

On 08/20/2016 10:22 AM, Eli Zaretskii wrote:

> I cannot reproduce this: I don't see these redraws at all, using the
> HTML page you pointed to.
>
> It could be some issue specific to the default font you use (you don't
> say which font is that).  Or some other issue local to, or triggered
> by, your local setup.
I agree! However, there's still a chance of it being an Emacs issue 
since no other software I use (browsers, text editors, video players) 
show signs of tearing or incomplete redraws. (I thought it could be a 
bug in GTK, so I rebuilt Emacs with Lucid backend. It didn't fix the 
problem.)

The font I used is DejaVu Sans Mono. I tried setting frame font to GNU 
FreeFont Mono, but it didn't fix the problem either.
>> This all only started happening after I upgraded my system.
>> Unfortunately, the upgrade was pretty huge and so it's hard to
>> pinpoint a specific package that caused this. The version of Emacs
>> stayed the same.
> Which is a serious argument in favor of my theory that this is not an
> Emacs problem.
>
> Maybe someone else bumped into such problems and could advise you
> where to look.
Yep, that's what I was hoping for when I was writing the bug report. 
Even if nobody else is able to reproduce this, I would still appreciate 
any help with debugging it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24267; Package emacs. Full text available.

Message received at 24267 <at> debbugs.gnu.org:


Received: (at 24267) by debbugs.gnu.org; 20 Aug 2016 07:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 20 03:22:41 2016
Received: from localhost ([127.0.0.1]:34651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bb0c5-0001rT-Mh
	for submit <at> debbugs.gnu.org; Sat, 20 Aug 2016 03:22:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bb0c2-0001rE-QJ
 for 24267 <at> debbugs.gnu.org; Sat, 20 Aug 2016 03:22:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bb0bu-0001gN-Ki
 for 24267 <at> debbugs.gnu.org; Sat, 20 Aug 2016 03:22:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58679)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bb0bu-0001gJ-Hj; Sat, 20 Aug 2016 03:22:30 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1102
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bb0bt-0007s7-5d; Sat, 20 Aug 2016 03:22:29 -0400
Date: Sat, 20 Aug 2016 10:22:38 +0300
Message-Id: <83pop3dhvl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Artyom <yom@HIDDEN>
In-reply-to: <f94a8ed0-117c-48f0-03ec-8a79159d9d5c@HIDDEN> (message from
 Artyom on Fri, 19 Aug 2016 23:48:17 +0300)
Subject: Re: bug#24267: 24.5;
 When scrolling, parts of buffer are redrawn with a delay
References: <f94a8ed0-117c-48f0-03ec-8a79159d9d5c@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 24267
Cc: 24267 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

> From: Artyom <yom@HIDDEN>
> Date: Fri, 19 Aug 2016 23:48:17 +0300
> 
> When I scroll, most of the buffer redraws immediately, but a few
> lines at the bottom of the buffer only redraw after a noticeable
> delay (200ms or so, I would guess). You can see a screen recording
> here:
> 
> http://files.artyom.me/emacs.mkv
> 
> Steps to reproduce:
> 
> 1. emacs -Q
> 2. Open a file with lots of syntax to be highlighted (for instance,
>     just save https://en.wikipedia.org/wiki/Emacsas an HTML page
>     and open it in Emacs).
> 3. Start scrolling with C-v, and wait a couple of seconds after
>     each scroll.

I cannot reproduce this: I don't see these redraws at all, using the
HTML page you pointed to.

It could be some issue specific to the default font you use (you don't
say which font is that).  Or some other issue local to, or triggered
by, your local setup.  Because this:

> It's easiest to reproduce with a big file with syntax highlighting
> enabled, but it also manifests on many other occasions:
> 
>    * When scrolling an ordinary textfile(with font-lock disabled)
>    * When pressing Enter in a buffer, forcing other lines to shift
>    * When switching the focus from one buffer to another,
>      cursor moves only after a delay
>    * Sometimes parts of selection don't disappear after C-g
>    * Sometimes parts of the buffer that take longer to redraw
>      are just few characters in the middle of a line (i.e. it's not
>      necessarily a prefix/suffix of visible text)

actually says the problem should be highly visible, and yet it was not
reported until now, at least not with such intensity.

I cannot play your screencast here, so I'm not even sure that when you
talk about redrawing you mean the same thing I do.  Therefore, one
possibility is that something is wrong with your X setup or even with
your video hardware and software.

> This all only started happening after I upgraded my system.
> Unfortunately, the upgrade was pretty huge and so it's hard to
> pinpoint a specific package that caused this. The version of Emacs
> stayed the same.

Which is a serious argument in favor of my theory that this is not an
Emacs problem.

Maybe someone else bumped into such problems and could advise you
where to look.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24267; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Aug 2016 21:10:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 19 17:10:13 2016
Received: from localhost ([127.0.0.1]:34485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bar3N-000488-8q
	for submit <at> debbugs.gnu.org; Fri, 19 Aug 2016 17:10:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yom@HIDDEN>) id 1baqiS-0003d4-MS
 for submit <at> debbugs.gnu.org; Fri, 19 Aug 2016 16:48:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <yom@HIDDEN>) id 1baqiL-0004pn-M7
 for submit <at> debbugs.gnu.org; Fri, 19 Aug 2016 16:48:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.9 required=5.0 tests=BAYES_50,RCVD_IN_SBL_CSS,
 RCVD_IN_SORBS_WEB,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37762)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <yom@HIDDEN>) id 1baqiL-0004om-GF
 for submit <at> debbugs.gnu.org; Fri, 19 Aug 2016 16:48:29 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37683)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <yom@HIDDEN>) id 1baqiI-0004Hj-OA
 for bug-gnu-emacs@HIDDEN; Fri, 19 Aug 2016 16:48:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <yom@HIDDEN>) id 1baqiE-0004my-J2
 for bug-gnu-emacs@HIDDEN; Fri, 19 Aug 2016 16:48:25 -0400
Received: from mail-lf0-x231.google.com ([2a00:1450:4010:c07::231]:33719)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <yom@HIDDEN>) id 1baqiE-0004mr-5Z
 for bug-gnu-emacs@HIDDEN; Fri, 19 Aug 2016 16:48:22 -0400
Received: by mail-lf0-x231.google.com with SMTP id b199so40938628lfe.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 19 Aug 2016 13:48:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=artyom-me.20150623.gappssmtp.com; s=20150623;
 h=from:subject:to:message-id:date:user-agent:mime-version
 :content-transfer-encoding;
 bh=cwms2Yn8r28jQUvAZDy9GxRdNWZnfSJ4on3Vy0eLsCo=;
 b=my0ltnNElX3aOubRYDHDgBILsymWBqQY8L7AsqxDdiwmdzC8nkSrIVg6iMBtbqLbTD
 GdygbbiC5tySsS00LGFPpKMkWio68CCXwt8Iw5bRnwBDMySj2+E4bWB85yCibEO9+zvv
 i29ig8MOuKwKdCStoD14GGcVq+/VDo6voeGP4jZppmdhVkkFT1t6QK8whxbOjOMK2Fdv
 +DYufqR8fB8ewNlwF0ON1Ke8J6B9OTFAHDt3zhUAx70A+hLOliqleDyLI5OhiF2Rz12W
 s4yzCJLsfnxhrflhMDeiExZKDwArnqIXYo0EKPoBCaCJ864oFCXDLyX5vPAYasirXAHP
 WuTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:subject:to:message-id:date:user-agent
 :mime-version:content-transfer-encoding;
 bh=cwms2Yn8r28jQUvAZDy9GxRdNWZnfSJ4on3Vy0eLsCo=;
 b=VZxfUd8eM43grl7eSlt4rrsjGr13Td2I5Z3uNAjE+iT/La+LkUpkfp6WhWZjwk4jis
 ljoSSmu/jzI19pCy7EGnW5wMNmxyJ+6oeNe5t+NcncugfyQkybh6TmKv3icYEy5w/1zZ
 vC071uLMWUxqdzIzubUx1iEMwLcepyJVuFXDjEMlmf/28xGP+b9MusHZb/i6o6xCGeIg
 niSkUsMXpfx8Arq0lZ59zajBWffGiiFbBhbiacRp46MrbJ3YC3Ty4Mp+awB8f/R3O5m0
 NzMtDl0FEKIH1ceU/SemfdfHsbZ6YwQNLh+8UNcKH+A28riJ9LsSB4vG9yDGO0SzD38c
 2l0A==
X-Gm-Message-State: AEkoouuRmabxjNm1mAoq6oFf8lIOpYGiiVr+dLculRFbA/EcSrNXm3omlqUtDyasRv45CQ==
X-Received: by 10.46.5.5 with SMTP id 5mr2573082ljf.9.1471639699418;
 Fri, 19 Aug 2016 13:48:19 -0700 (PDT)
Received: from [192.168.0.106] (nat4-minsk-pool-46-53-179-125.telecom.by.
 [46.53.179.125])
 by smtp.gmail.com with ESMTPSA id 85sm1520498ljf.6.2016.08.19.13.48.18
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 19 Aug 2016 13:48:18 -0700 (PDT)
From: Artyom <yom@HIDDEN>
Subject: 24.5; When scrolling, parts of buffer are redrawn with a delay
To: bug-gnu-emacs@HIDDEN
Message-ID: <f94a8ed0-117c-48f0-03ec-8a79159d9d5c@HIDDEN>
Date: Fri, 19 Aug 2016 23:48:17 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 19 Aug 2016 17:10:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

When I scroll, most of the buffer redraws immediately, but a few
lines at the bottom of the buffer only redraw after a noticeable
delay (200ms or so, I would guess). You can see a screen recording
here:

http://files.artyom.me/emacs.mkv

Steps to reproduce:

1. emacs -Q
2. Open a file with lots of syntax to be highlighted (for instance,
    just save https://en.wikipedia.org/wiki/Emacsas an HTML page
    and open it in Emacs).
3. Start scrolling with C-v, and wait a couple of seconds after
    each scroll.

It's easiest to reproduce with a big file with syntax highlighting
enabled, but it also manifests on many other occasions:

   * When scrolling an ordinary textfile(with font-lock disabled)
   * When pressing Enter in a buffer, forcing other lines to shift
   * When switching the focus from one buffer to another,
     cursor moves only after a delay
   * Sometimes parts of selection don't disappear after C-g
   * Sometimes parts of the buffer that take longer to redraw
     are just few characters in the middle of a line (i.e. it's not
     necessarily a prefix/suffix of visible text)

This all only started happening after I upgraded my system.
Unfortunately, the upgrade was pretty huge and so it's hard to
pinpoint a specific package that caused this. The version of Emacs
stayed the same.

I triedcompiling Emacs from source (August 19, commit 4a80c8bb) so that
it would use my version of GTK (I have 3.20.9, Emacs in my distro's
repository was compiled with 3.16.16), but that didn't fix anything.

In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.6)
of 2015-09-10 on foutrelis
Windowing system distributor `The X.Org Foundation', version 11.0.11804000
System Description: Arch Linux

Configured using:
`configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
--localstatedir=/var --with-x-toolkit=gtk3 --with-xft
'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
--param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Important settings:
value of $LANG: en_US.UTF8
locale-coding-system: utf-8-unix

Major mode: HTML

Minor modes in effect:
tooltip-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
Quit [2 times]
Mark set
Quit
Mark set
scroll-down-command: Beginning of buffer [16 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils sgml-mode time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 83794 8536)
(symbols 48 17775 0)
(miscs 40 48 138)
(strings 32 10734 4394)
(string-bytes 1 276508)
(vectors 16 9126)
(vector-slots 8 386896 15317)
(floats 8 64 561)
(intervals 56 3496 6)
(buffers 960 12)
(heap 1024 9055 942))




Acknowledgement sent to Artyom <yom@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24267; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.